@echo OFF
TITLE Starfleet Command 2.037 Patch
ECHO.

IF NOT EXIST sfc2.ico GOTO ERROR1
IF NOT EXIST 2037.ready.txt GOTO ERROR2

ECHO Updating strings...
ECHO.
MOVE aaStrings.txt assets\strings
MOVE quicktips.txt assets\strings
MOVE strings.txt assets\strings
MOVE shipnames.txt assets\strings

ECHO Updating specs...
ECHO.
MOVE shiplist.txt assets\specs
MOVE ftrlist.txt assets\specs

ECHO Updating sprites...
ECHO.
MOVE sprites.q3 assets\sprites

DEL 2037.ready.txt
GOTO END

:ERROR1
ECHO Directory Error! "Install_2037.bat" must be in the game's root folder.
GOTO END

:ERROR2
ECHO Files have already been moved. Delete this batch file.

:END
ECHO.
ECHO Finished.
PAUSE